Skip to main content
PATCH
Update a time category

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

time_category_id
string
required

Time Category ID.

Body

application/json
name
string | null
billable_setting
enum<string>

Whether time logged with this category is billable when no billable value is chosen.

  • project_default: follows the billable_default of the card's project, or of its space when the project's is workspace_default or the card isn't in a project, then the workspace's billable_by_default.
  • billable: billable, unless that project or space billable_default is not_billable.
  • not_billable: not billable.

New categories default to project_default.

Available options:
project_default,
billable,
not_billable
Example:

"project_default"

billable_default
boolean | null

Deprecated; use billable_setting. true sets billable_setting to billable and false to not_billable. Ignored when billable_setting is sent.

color
string | null
archived
boolean | null

Pass true to archive (soft-delete) this category.

Response

Updated time category

time_category
object